#
# spec file for package nodejs-graceful-fs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name graceful-fs

Name:           nodejs-graceful-fs
Version:        3.0.8
Release:        14.1
Summary:        fs with incremental backoff on EMFILE
License:        BSD-2-Clause
Group:          Development/Libraries/Other
Url:            https://github.com/isaacs/node-graceful-fs
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
graceful-fs functions as a drop-in replacement for the fs module, making various improvements.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{nodejs_modulesdir}/%{base_name}

%changelog
* Fri Jun  5 2015 i@marguerite.su
- update version 3.0.8
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 3.0.6
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Mon Sep 22 2014 i@marguerite.su
- update License to BSD-2-Clause
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Thu Aug 14 2014 jgleissner@suse.com
- initial build
